
From: Andrea Arcangeli <andrea@novell.com>

EMFILE is only for the per-process fds limit, all other cases where
sock_alloc fails already returns -ENFILE too, must have been a typo.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/socket.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN net/socket.c~accept-should-return-enfile-if-it-runs-out-of-inodes net/socket.c
--- 25/net/socket.c~accept-should-return-enfile-if-it-runs-out-of-inodes	2004-10-21 20:46:13.607126864 -0700
+++ 25-akpm/net/socket.c	2004-10-21 20:46:13.611126256 -0700
@@ -1354,7 +1354,7 @@ asmlinkage long sys_accept(int fd, struc
 	if (!sock)
 		goto out;
 
-	err = -EMFILE;
+	err = -ENFILE;
 	if (!(newsock = sock_alloc())) 
 		goto out_put;
 
_
